main {
  grid-row: 2;
  width: 60vw;
  height: 100%;
  display: grid;
  grid-template-columns: 50% 50%;
  grid-template-rows: 47% 6% 47%;
  gap: 0 2%;
  place-items: center;
}

.box {
  width: 100%;
  height: 45vh;
  padding: 1%;
  display: grid;
  place-items: center;
  background: rgba(64, 64, 64, 0.1);
  border-radius: 1rem;
}

header {
  font-size: 1.1rem;
  width: 92%;
  letter-spacing: calc(-1.1rem * 0.02);
}

.box p {
  width: 92%;
  font-size: 1.2rem;
  text-align: justify;
  line-height: calc(1.2rem * 1.5);
}

.btns {
  width: 100%;
  display: flex;
  margin-left: 8%;
  justify-content: left;
  align-items: stretch;
}

.find {
  padding: 1rem 4.5rem;
  margin-right: 1rem;
  animation: pulse 1s infinite;
}

@keyframes pulse {
  0% {
    transform: scale(100%);
  }

  50% {
    transform: scale(102%);
  }

  100% {
    transform: scale(100%);
  }
}

.contact {
  padding: 1rem 3.5rem;
}

.scale {
  animation: scale 0.2s ease-in-out forwards;
}

@keyframes scale {
  0% {
    transform: scale(0);
    filter: blur(0.5rem);
  }

  100% {
    transform: scale(1);
    filter: blur(0);
  }
}

.btn {
  position: relative;
  font-size: 1.2rem;
  outline: none;
  border: transparent solid 0.2rem;
  border-radius: 0.5rem;
  background: #da9e34;
  color: #fff;
  transition: 0.2s background, color;
  cursor: pointer;
  overflow: hidden;
}

.btn::after {
  content: "";
  width: 30%;
  height: 400%;
  position: absolute;
  left: -100%;
  top: -100%;
  transform: rotate(45deg);
  background: rgba(255, 255, 255, 0.2);
}

.btn:hover::after {
  animation: btn-shine 0.5s linear;
}

.btn:focus {
  border: rgba(255, 255, 255, 0.5) solid 0.2rem;
}

.img {
  grid-column: 2;
  width: 98%;
  height: 45vh;
  background-image: url("../img/bakeryproductionline.webp");
  background-position: center;
  background-size: cover;
  border-radius: 1rem;
  box-shadow: 0 0 0.5rem rgba(0, 0, 0, 0.5);
}

.blog-header {
  width: 100%;
  height: 100%;
  grid-column: 1/3;
  grid-row: 2;
  display: grid;
  place-items: center;
  font-size: 1.8rem;
  background: rgba(64, 64, 64, 0.1);
  border-radius: 2rem;
}

.bottom {
  grid-row: 3;
  grid-column: 1/3;
  width: 100%;
  height: 100%;
  display: grid;
  place-items: center;
}

.cards {
  width: 100%;
  display: flex;
  gap: 0 2vw;
}

.card {
  width: 19vw;
  height: 45vh;
  background: rgba(64, 64, 64, 0.1);
  border-radius: 1rem;
  display: grid;
  place-items: center;
  grid-template-rows: 85% 15%;
  grid-template-columns: 75% 25%;
  overflow: hidden;
  font-size: 0.9rem;
}

.image {
  width: 100%;
  height: 100%;
  grid-row: 1;
  grid-column: 1/3;
  background-image: url(../img/welcome.jpg);
  background-position: center;
  background-size: cover;
}

.second {
  background-image: url(../img/cv.jpg);
  background-position: left;
}

.third {
  background-image: url(../img/language.jpg);
}

.card h3 {
  grid-row: 2;
}

.more {
  grid-row: 2;
  grid-column: 2;
  width: 90%;
  height: 60%;
  background: var(--main);
  color: var(--font);
  outline: none;
  border: none;
  font-size: 1.1rem;
  position: relative;
  overflow: hidden;
  cursor: pointer;
  border-radius: 0.2rem;
  border: transparent solid 0.2rem;
}

.more:hover::after {
  animation: btn-shine 0.4s linear;
}

.more::after {
  content: "";
  width: 30%;
  height: 400%;
  position: absolute;
  left: -100%;
  top: -100%;
  transform: rotate(45deg);
  background: rgba(255, 255, 255, 0.2);
}
.more:focus {
  border: rgba(255, 255, 255, 0.5) solid 0.2rem;
}

footer {
  grid-row: 3;
  width: 100vw;
  height: 6vh;
  background: var(--main);
  display: grid;
  place-items: center;
}

@media screen and (width: 1280px) {
  html {
    font-size: 11px;
  }
}

@media screen and (width: 3840px) {
  html {
    font-size: 32px;
  }
}

@media screen and (min-width: 641px) and (max-width: 1000px) {
  html {
    font-size: 24px;
  }
  body {
    height: 246vh;
  }
  .container {
    grid-template-rows: 10vh 230vh 6vh;
    width: 100vw;
  }

  nav {
    width: 100vw;
    height: 10vh;
    display: grid;
    background: rgb(24, 24, 24);
    grid-template-columns: 20% 80%;
    place-items: center;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 999;
  }

  .links {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: #da9e34;
    justify-content: center;
    align-items: start;
    flex-flow: column;
    font-size: 2rem;
  }

  .links a {
    margin-top: 3vh;
    margin-left: 20%;
  }

  .links a:nth-child(1) {
    margin: 0;
    margin-left: 20%;
  }

  .lang {
    width: 2rem;
    height: 2rem;
    border-radius: 100%;
  }

  a.lang {
    margin: 0;
    margin-left: 20%;
    position: absolute;
    top: 3vh;
  }

  .spacer {
    display: none;
  }

  .sm {
    display: flex;
    gap: 3rem;
    margin-top: 3vh;
    margin-left: 20%;
  }
  .ic {
    width: 3rem;
    height: 3rem;
    z-index: 111;
    margin-top: 1vh;
  }

  .links a:hover {
    color: #525252;
  }

  .ic:hover {
    color: #fff;
  }

  .ic:focus {
    color: #525252;
  }

  .menu {
    width: 1.5rem;
    height: 1.5rem;
    position: absolute;
    top: 3vh;
    right: 10vw;
    display: block;
    cursor: pointer;
  }

  .menu:active {
    color: #da9e34;
  }

  main {
    grid-template-columns: 100%;
    grid-template-rows: 30% 4% 66%;
    gap: 0;
    width: 100%;
    place-items: center;
  }

  .img {
    display: none;
  }

  .box {
    width: 90%;
    grid-column: 1;
    grid-row: 1;
    height: 90%;
  }

  .box header {
    font-size: 1rem;
  }

  .find {
    padding: 1rem 9vw;
    margin-right: 3vw;
  }

  .contact {
    padding: 1rem 7vw;
  }

  .bottom {
    grid-row: 3;
    grid-column: 1/3;
    width: 100%;
    height: 100%;
    display: grid;
    place-items: center;
  }

  .blog-header {
    width: 90%;
  }

  .cards {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 3vh 0;
    justify-content: center;
    align-items: center;
  }

  .card {
    width: 90%;
    grid-template-rows: 75% 25%;
  }

  .card h3 {
    font-size: 1.4rem;
  }
}

@media screen and (min-width: 641px) and (max-width: 768px) {
  html {
    font-size: 22px;
  }

  .card h3 {
    font-size: 1.4rem;
  }
}

.menu-show {
  animation: 0.2s menu-show linear;
}

@keyframes menu-show {
  0% {
    left: 100%;
  }
  100% {
    right: -100%;
  }
}

.menu-close {
  animation: 0.2s menu-close linear;
}

@keyframes menu-close {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(150%);
  }
}

@media screen and (max-width: 600px) {
  html {
    font-size: 15px;
  }
  body {
    height: 246vh;
  }
  .container {
    grid-template-rows: 10vh 230vh 6vh;
    width: 100vw;
  }

  nav {
    width: 100vw;
    height: 10vh;
    display: grid;
    background: rgb(24, 24, 24);
    grid-template-columns: 20% 80%;
    place-items: center;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 999;
  }

  .links {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: #da9e34;
    justify-content: center;
    align-items: start;
    flex-flow: column;
    font-size: 2rem;
  }

  .links a {
    margin-top: 3vh;
    margin-left: 20%;
  }

  .links a:nth-child(1) {
    margin: 0;
    margin-left: 20%;
  }

  .lang {
    width: 2rem;
    height: 2rem;
    border-radius: 100%;
  }

  a.lang {
    margin: 0;
    margin-left: 20%;
    position: absolute;
    top: 3vh;
  }

  .spacer {
    display: none;
  }

  .sm {
    display: flex;
    gap: 3rem;
    margin-top: 3vh;
    margin-left: 20%;
  }
  .ic {
    width: 4rem;
    height: 4rem;
    z-index: 111;
    margin-top: 1vh;
  }

  .links a:hover {
    color: #525252;
  }

  .ic:hover {
    color: #fff;
  }

  .ic:focus {
    color: #525252;
  }

  .menu {
    width: 2rem;
    height: 2rem;
    position: absolute;
    top: 3vh;
    right: 10vw;
    display: block;
    cursor: pointer;
  }

  .menu:active {
    color: #da9e34;
  }

  main {
    grid-template-columns: 100%;
    grid-template-rows: 30% 4% 66%;
    gap: 0;
    width: 100%;
    place-items: center;
  }

  .img {
    display: none;
  }

  .box {
    width: 90%;
    grid-column: 1;
    grid-row: 1;
    height: 90%;
  }

  .box header {
    font-size: 0.8rem;
  }

  .find {
    padding: 1rem 8vw;
    margin-right: 3vw;
  }

  .contact {
    padding: 1rem 4vw;
  }

  .bottom {
    grid-row: 3;
    grid-column: 1/3;
    width: 100%;
    height: 100%;
    display: grid;
    place-items: center;
  }

  .blog-header {
    width: 90%;
  }

  .cards {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 3vh 0;
    justify-content: center;
    align-items: center;
  }

  .card {
    width: 90%;
  }
}

@media screen and (max-width: 400px) {
  html {
    font-size: 14px;
  }

  .box header {
    font-size: 0.9rem;
  }
  .box p {
    font-size: 1rem;
  }
  .find {
    padding: 1rem 5vw;
    margin-right: 3vw;
  }

  .contact {
    padding: 1rem 3vw;
  }
}

@media screen and (min-width: 250px) and (max-width: 300px) {
  html {
    font-size: 10px;
  }

  .card h3 {
    font-size: 1.2rem;
  }
}
